

#include "ALSA.h"
#include <gtk/gtk.h>
#include <gdk/gdkx.h>

GdkWindow       *root_window;

GtkWidget       *mainwin;

unsigned char *buf;

int main(int argc,char **argv ) {
	int l,r;
	char s[10];
	snd_pcm_t *handle;
	snd_pcm_playback_status_t ps;

	gtk_set_locale();
	gtk_init(&argc,&argv);
	gdk_rgb_init();
	root_window=gdk_window_foreign_new(GDK_ROOT_WINDOW());
	mainwin=gtk_window_new(GTK_WINDOW_TOPLEVEL);
 
	alsa_init();
	//alsa_configure();
	/*
	while( 1 ) {
		alsa_get_volume(&l,&r);
		printf("mixer l %3d r %3d\r",l,r);
		fflush(stdout);
		usleep(100000);
	}
	gtk_main();
	*/
	buf=malloc(65536);
	if( !buf ) exit(0);
	bzero(buf,65536);
	if( !alsa_open(FMT_S16_LE,44100,2) ) exit(0);
	for( l=0 ; l<100 ; l++ ) {
		alsa_write(buf,2304);
		alsa_get_output_time();
		/*
		while(alsa_playing()) {
			alsa_get_output_time();
			usleep(1000);
		}
		*/
	}
	while(alsa_playing()) {
		alsa_get_output_time();
		usleep(1000);
	}
	alsa_get_output_time();
	printf("\n");
	alsa_close();
}
